### Callable

- M(target: string, pattern: string, options?: IOptions): boolean

- - Defined in node_modules/@types/minimatch/index.d.ts:10

  Tests a path against the pattern using the options.

  #### Parameters

  - ##### target: string

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns boolean

## Index

### Interfaces

- IMinimatch
- IMinimatchStatic
- IOptions

### Variables

- Minimatch

### Functions

- filter
- makeRe
- match

## Variables

### Let Minimatch

Minimatch: IMinimatchStatic

- Defined in node_modules/@types/minimatch/index.d.ts:30

## Functions

### filter

- filter(pattern: string, options?: IOptions): function

- - Defined in node_modules/@types/minimatch/index.d.ts:23

  Returns a function that tests its supplied argument, suitable for use with Array.filter

  #### Parameters

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns function

  - - (element: string, indexed: number, array: ReadonlyArray<string>): boolean

    - #### Parameters

      - ##### element: string

      - ##### indexed: number

      - ##### array: ReadonlyArray<string>

      #### Returns boolean

### makeRe

- makeRe(pattern: string, options?: IOptions): RegExp

- - Defined in node_modules/@types/minimatch/index.d.ts:28

  Make a regular expression object from the pattern.

  #### Parameters

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns RegExp

### match

- match(list: ReadonlyArray<string>, pattern: string, options?: IOptions): string[]

- - Defined in node_modules/@types/minimatch/index.d.ts:18

  Match against the list of files, in the style of fnmatch or glob. If nothing is matched, and options.nonull is set, then return a list containing the pattern itself.

  #### Parameters

  - ##### list: ReadonlyArray<string>

  - ##### pattern: string

  - ##### Optional options: IOptions

  #### Returns string[]

Generated using TypeDoc